import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace AccountXP {
    interface Level {
        Level: number;
        XP: number;
    }
    interface Player {
        Version: number;
        Subject: string;
        Progress: AccountXP.Level;
        History: Array<{
            ID: string;
            MatchStart: Date;
            StartProgress: AccountXP.Level;
            EndProgress: AccountXP.Level;
            XPDelta: number;
            XPSources: Array<{
                ID: string;
                Amount: number;
            }>;
            XPMultipliers: Array<{
                ID: string;
                Value: string;
            }>;
        }>;
        LastTimeGrantedFirstWin: Date;
        NextTimeFirstWinAvailable: Date;
    }
}
export declare class AccountXP extends WebClientService {
    getPlayer(subject: string): PromiseResponse<AccountXP.Player>;
}
