import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace ContractDefinitions {
    interface Item {
        ItemTypeID: string;
        ItemID: string;
    }
    interface ItemAmount extends ContractDefinitions.Item {
        Amount: number;
    }
    interface ItemProgression {
        Definitions: Array<{
            ID: string;
            Item: ContractDefinitions.Item;
            RequiredEntitlement: ContractDefinitions.Item;
            ProgressionSchedule: {
                Name: string;
                ProgressionCurrencyID: string;
                ProgressionDeltaPerLevel: Array<number>;
            };
            RewardSchedule: {
                ID: string;
                Name: string;
                Prerequisites: {
                    RequiredEntitlements: Array<ContractDefinitions.Item>;
                };
                RewardsPerLevel: Array<{
                    EntitlementRewards: Array<ContractDefinitions.ItemAmount>;
                    WalletRewards: any;
                    CounterRewards: any;
                }>;
            };
            Sidegrades: Array<{
                SidegradeID: string;
                Options: Array<{
                    OptionID: string;
                    Cost: {
                        WalletCosts: Array<{
                            CurrencyID: string;
                            AmountToDeduct: number;
                        }>;
                    };
                    Rewards: Array<ContractDefinitions.ItemAmount>;
                }>;
                Prerequisites: {
                    RequiredEntitlements: Array<ContractDefinitions.Item>;
                };
            }>;
        }>;
    }
}
export declare class ContractDefinitions extends WebClientService {
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getActiveStory(): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    get(): PromiseResponse<any>;
    getItemProgression(): PromiseResponse<ContractDefinitions.ItemProgression>;
}
