"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contracts = void 0;
const WebClientService_1 = require("../client/WebClientService");
class Contracts extends WebClientService_1.WebClientService {
    get(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/contracts/v1/contracts/${subject}`);
    }
    activate(subject, contractId) {
        return this.request.post(`${this.regionURL.url.playerData}/contracts/v1/contracts/${subject}/special/${contractId}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    unlockItemProgression(subject, definitionId) {
        return this.request.post(`${this.regionURL.url.playerData}/contracts/v2/item-upgrades/${definitionId}/${subject}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    unlockContractProgression(subject, contractId) {
        return this.request.post(`${this.regionURL.url.playerData}/contracts/v1/contracts/${subject}/contracts/${contractId}/unlock`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    unlockItemSidegrade(subject, definitionId, sidegradeId, optionId) {
        return this.request.post(`${this.regionURL.url.playerData}/contracts/v1/item-upgrades/${definitionId}/sidegrades/${sidegradeId}/options/${optionId}/${subject}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    upgrade(subject, contractId) {
        return this.request.post(`${this.regionURL.url.playerData}/contracts/v1/contracts/${subject}/special/${contractId}/upgrade`);
    }
}
exports.Contracts = Contracts;
