"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreGame = void 0;
const WebClientService_1 = require("../client/WebClientService");
/**
 * Current Game
 */
class CoreGame extends WebClientService_1.WebClientService {
    fetchPlayer(subject) {
        return this.request.get(`${this.regionURL.url.partyService}/core-game/v1/players/${subject}`);
    }
    fetchMatch(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/core-game/v1/matches/${matchId}`);
    }
    fetchMatchLoadouts(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/core-game/v1/matches/${matchId}/loadouts`);
    }
    /**
     * ! Careful to use, Riot will immediately shut down your Project.
     */
    disassociatePlayer(subject, matchId) {
        return this.request.post(`${this.regionURL.url.partyService}/core-game/v1/players/${subject}/disassociate/${matchId}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    fetchAllChatMUCToken(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/core-game/v1/matches/${matchId}/allchatmuctoken`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    fetchTeamChatMUCToken(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/core-game/v1/matches/${matchId}/teamchatmuctoken`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    fetchVoiceToken(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/core-game/v1/matches/${matchId}/teamvoicetoken`);
    }
}
exports.CoreGame = CoreGame;
