import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace DailyTicket {
    interface DailyTicket {
        Version: number;
        DailyRewards: {
            RemainingLifetimeSeconds: number;
            BonusMilestonesPending: number;
            Milestones: Array<{
                Progress: number;
                BonusApplied: boolean;
            }>;
        };
        ProcessedMatches: Array<{
            ID: string;
            ProgressBefore: number;
            ProgressAfter: number;
            XP: number;
            SoftCurrency: number;
            WasPenalized: boolean;
            BonusesApplied: number;
            DailyBonusState: [boolean, boolean, boolean, boolean];
        }>;
    }
}
export declare class DailyTicket extends WebClientService {
    get(subject: string): PromiseResponse<DailyTicket.DailyTicket>;
    renew(subject: string): PromiseResponse<DailyTicket.DailyTicket>;
}
