"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MMR = void 0;
const WebClientService_1 = require("../client/WebClientService");
/**
 * Match Making Rating
 */
class MMR extends WebClientService_1.WebClientService {
    getPlayer(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/mmr/v1/players/${subject}`);
    }
    hideActRankBadge(subject) {
        return this.request.post(`${this.regionURL.url.playerData}/mmr/v1/players/${subject}/hideactrankbadge`);
    }
    /**
     * @param startIndex (default: 0)
     * @param size (default: 510)
     */
    getLeaderboard(seasonId, startIndex = 0, size = 510, serachUsername) {
        let _url = `${this.regionURL.url.playerData}/mmr/v1/leaderboards/affinity/${this.regionURL.id}/queue/competitive/season/${seasonId}?startIndex=${startIndex}&size=${size}`;
        if (serachUsername) {
            _url += `&query=${serachUsername}`;
        }
        return this.request.get(_url);
    }
    /**
     * @param startIndex (default: 0)
     * @param endIndex (default: 10)
     */
    getCompetitiveUpdates(subject, queueId, startIndex = 0, endIndex = 10) {
        let _url = `${this.regionURL.url.playerData}/mmr/v1/players/${subject}/competitiveupdates?startIndex=${startIndex}&endIndex=${endIndex}`;
        if (queueId) {
            _url += `&queue=${queueId}`;
        }
        return this.request.get(_url);
    }
}
exports.MMR = MMR;
