"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Match = void 0;
const WebClientService_1 = require("../client/WebClientService");
class Match extends WebClientService_1.WebClientService {
    fetchMatchDetails(matchId) {
        return this.request.get(`${this.regionURL.url.playerData}/match-details/v1/matches/${matchId}`);
    }
    /**
     * @param startIndex (default: 0)
     * @param endIndex (default: 10)
     */
    fetchMatchHistory(subject, queueId, startIndex = 0, endIndex = 10) {
        let _url = `${this.regionURL.url.playerData}/match-history/v1/history/${subject}?startIndex=${startIndex}&endIndex=${endIndex}`;
        if (queueId) {
            _url += `&queue=${queueId}`;
        }
        return this.request.get(_url);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    fetchQueueData() {
        return this.request.get(`${this.regionURL.url.partyService}/matchmaking/v1/queues/configs`);
    }
}
exports.Match = Match;
