import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace Personalization {
    interface LoadoutGun {
        ID: string;
        SkinID: string;
        SkinLevelID: string;
        ChromaID: string;
        Attachments: Array<any>;
    }
    interface LoadoutGunWithCharm extends Personalization.LoadoutGun {
        CharmInstanceID: string;
        CharmID: string;
        CharmLevelID: string;
    }
    interface Loadout {
        Subject: string;
        Version: number;
        Guns: Array<Personalization.LoadoutGun | Personalization.LoadoutGunWithCharm>;
        Sprays: Array<{
            EquipSlotID: string;
            SprayID: string;
            SprayLevelID: any;
        }>;
        Identity: {
            PlayerCardID: string;
            PlayerTitleID: string;
            AccountLevel: number;
            PreferredLevelBorderID: string;
            HideAccountLevel: boolean;
        };
        Incognito: boolean;
    }
}
export declare class Personalization extends WebClientService {
    getPlayerLoadout(subject: string): PromiseResponse<Required<Personalization.Loadout>>;
    changePlayerLoadout(subject: string, loadout: Omit<Personalization.Loadout, "Subject" | "Version">): PromiseResponse<Personalization.Loadout>;
}
