"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreGame = void 0;
const WebClientService_1 = require("../client/WebClientService");
class PreGame extends WebClientService_1.WebClientService {
    getPlayer(subject) {
        return this.request.get(`${this.regionURL.url.partyService}/pregame/v1/players/${subject}`);
    }
    getMatch(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/pregame/v1/matches/${matchId}`);
    }
    getMatchLoadouts(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/pregame/v1/matches/${matchId}/loadouts`);
    }
    /**
     * ! Careful to use, Riot will immediately shut down your Project.
     */
    selectCharacter(matchId, agentId) {
        return this.request.post(`${this.regionURL.url.partyService}/pregame/v1/matches/${matchId}/select/${agentId}`);
    }
    /**
     * ! Careful to use, Riot will immediately shut down your Project.
     */
    lockCharacter(matchId, agentId) {
        return this.request.post(`${this.regionURL.url.partyService}/pregame/v1/matches/${matchId}/lock/${agentId}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    fetchVoiceToken(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/pregame/v1/matches/${matchId}/voicetoken`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    fetchChatToken(matchId) {
        return this.request.get(`${this.regionURL.url.partyService}/pregame/v1/matches/${matchId}/chattoken`);
    }
    /**
     * ! Careful to use, Riot will immediately shut down your Project.
     */
    quitMatch(matchId) {
        return this.request.post(`${this.regionURL.url.partyService}/pregame/v1/matches/${matchId}/quit`);
    }
}
exports.PreGame = PreGame;
