import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace Premier {
    interface Seasons {
        PremierSeasons: Array<any>;
    }
    interface Conferences {
        PremierConferences: Array<any>;
    }
    interface Player {
        puuid: string;
        rosterId: string;
        invites: Array<any>;
        version: number;
        createdAt: number;
        updatedAt: number;
    }
    interface RosterCustomization {
        /**
         * Icon ID
         */
        icon: string;
        /**
         * 0.000000 <= number <= 1.000000
         */
        primaryColor: `(R=${number},G=${number},B=${number},A=${number})`;
        /**
         * 0.000000 <= number <= 1.000000
         */
        secondaryColor: `(R=${number},G=${number},B=${number},A=${number})`;
        /**
         * 0.000000 <= number <= 1.000000
         */
        tertiaryColor: `(R=${number},G=${number},B=${number},A=${number})`;
    }
}
export declare class Premier extends WebClientService {
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getEligibility(): PromiseResponse<any>;
    getPremierConferences(): PromiseResponse<Premier.Conferences>;
    fetchPremierSeasons(): PromiseResponse<Premier.Seasons>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getActivePremierSeason(): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getMUCToken(realm: string, rosterId: string): PromiseResponse<any>;
    getPlayer(subject: string): PromiseResponse<Premier.Player>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    GetRosterV1(rosterId: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    GetRosterV2(rosterId: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getRosterByProxy(realm: string, rosterId: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    setPremierRosterCustomization(rosterId: string, rosterCustomization: Premier.RosterCustomization): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    deleteRosterByProxy(realm: string, rosterId: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    rosterEnroll(rosterId: string, conferenceId: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    createInvite(rosterId: string, subject: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getPremierRosterMatchHistory(rosterId: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    acceptInvite(rosterId: string, subject: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    makePremierGame(partyId: string): PromiseResponse<any>;
}
