"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Premier = void 0;
const WebClientService_1 = require("../client/WebClientService");
class Premier extends WebClientService_1.WebClientService {
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getEligibility() {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/player/eligibility`);
    }
    getPremierConferences() {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/affinities/${this.regionURL.id}/conferences`);
    }
    fetchPremierSeasons() {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/affinities/${this.regionURL.id}/premier-seasons`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getActivePremierSeason() {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/affinities/${this.regionURL.id}/premier-seasons/active`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getMUCToken(realm, rosterId) {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/rsp/rosters/v1/${realm}/roster/${rosterId}/muctoken`);
    }
    getPlayer(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v2/players/${subject}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    GetRosterV1(rosterId) {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/rosters/${rosterId}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    GetRosterV2(rosterId) {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v2/rosters/${rosterId}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getRosterByProxy(realm, rosterId) {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/rsp/rosters/v1/${realm}/roster/${rosterId}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    setPremierRosterCustomization(rosterId, rosterCustomization) {
        return this.request.put(`${this.regionURL.url.playerData}/premier/v1/rosters/${rosterId}/customization`, rosterCustomization);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    deleteRosterByProxy(realm, rosterId) {
        return this.request.delete(`${this.regionURL.url.playerData}/premier/v1/rsp/rosters/v1/${realm}/roster/${rosterId}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    rosterEnroll(rosterId, conferenceId) {
        return this.request.put(`${this.regionURL.url.playerData}/premier/v1/rosters/${rosterId}/enroll`, {
            id: conferenceId
        });
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    createInvite(rosterId, subject) {
        return this.request.post(`${this.regionURL.url.playerData}/premier/v2/rosters/${rosterId}/invites/${subject}`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    getPremierRosterMatchHistory(rosterId) {
        return this.request.get(`${this.regionURL.url.playerData}/premier/v1/rosters/${rosterId}/matchhistory`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    acceptInvite(rosterId, subject) {
        return this.request.post(`${this.regionURL.url.playerData}/premier/v2/rosters/${rosterId}/invites/${subject}/accept`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    makePremierGame(partyId) {
        return this.request.post(`${this.regionURL.url.partyService}/parties/v1/parties/${partyId}/makePremierGame`, {});
    }
}
exports.Premier = Premier;
