import type { PromiseResponse } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace Restrictions {
    interface Player {
        Subject: string;
        Penalties: Array<{
            ID: string;
            IssuingGameStartUnixMillis: number;
            Expiry: Date;
            GamesRemaining: number;
            ApplyToAllPlatforms: boolean;
            ApplyToPlatforms: Array<string>;
            ForgivenessIneligible: boolean;
            DelayedPenaltyEffect: any;
            GameBanEffect: any;
            QueueDelayEffect: {
                DurationSeconds: number;
                StartTime: Date;
            };
            QueueRestrictionEffect: any;
            RankedRatingPenaltyEffect: any;
            RiotRestrictionEffect: any;
            RMSNotifyEffect: any;
            WarningEffect: {
                WarningType: string;
                WarningTier: number;
            };
            XPMultiplierEffect: any;
        }>;
        Version: number;
    }
    interface ReportToken {
        Token: string;
    }
}
export declare class Restrictions extends WebClientService {
    fetchPlayerReportToken(matchId: string, offenderSubject: string): PromiseResponse<Restrictions.ReportToken>;
    fetchPlayerRestrictions(): PromiseResponse<Restrictions.Player>;
}
