import type { PromiseResponse, ClientPlatfrom } from "@valapi/auth";
import { WebClientService } from "../client/WebClientService";
export declare namespace Session {
    interface Session {
        subject: string;
        cxnState: string;
        clientID: string;
        clientVersion: string;
        loopState: string;
        loopStateMetadata: string;
        version: number;
        lastHeartbeatTime: Date;
        expiredTime: Date;
        heartbeatIntervalMillis: number;
        playtimeNotification: string;
        playtimeMinutes: number;
        isRestricted: boolean;
        userinfoValidTime: Date;
        restrictionType: string;
        clientPlatformInfo: ClientPlatfrom;
        connectionTime: Date;
        shouldForceInvalidate: boolean;
    }
    interface Reconnect {
        reconnect: boolean;
    }
}
export declare class Session extends WebClientService {
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    connect(subject: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    heartbeat(subject: string): PromiseResponse<any>;
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    disconnect(subject: string): PromiseResponse<any>;
    get(subject: string): PromiseResponse<Session.Session>;
    /**
     * ! Careful to use, Riot will immediately shut down your Project.
     */
    reconnect(subject: string): PromiseResponse<Session.Reconnect>;
}
