"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StoreFront = exports.Store = void 0;
const WebClientService_1 = require("../client/WebClientService");
class Store extends WebClientService_1.WebClientService {
    getWallet(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/store/v1/wallet/${subject}`);
    }
    getOffers() {
        return this.request.get(`${this.regionURL.url.playerData}/store/v1/offers/`);
    }
    getEntitlements(subject, itemTypeId) {
        return this.request.get(`${this.regionURL.url.playerData}/store/v1/entitlements/${subject}/${itemTypeId}`);
    }
    get StoreFront() {
        return new StoreFront(this.request, this.regionURL);
    }
}
exports.Store = Store;
class StoreFront extends WebClientService_1.WebClientService {
    get(subject) {
        return this.request.get(`${this.regionURL.url.playerData}/store/v2/storefront/${subject}`);
    }
    getAgent() {
        return this.request.get(`${this.regionURL.url.playerData}/store/v1/storefronts/agent`);
    }
    /**
     * @deprecated Please, Contact us if you find out how its works
     */
    revealNightMarketOffers(subject) {
        return this.request.post(`${this.regionURL.url.playerData}/store/v2/storefront/${subject}/nightmarket/offers`);
    }
}
exports.StoreFront = StoreFront;
